GET /api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/cost

Retrieves the cost calculation configuration for a calculated bill version

GetCalculateBillCostV3 Permissions: Meters (View)
Use this endpoint to see how cost is currently configured for a calculated bill version. To update the configuration, use PUT on this same route.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
accountId Unique numeric identifier of the account integer (int32) Required
meterId Unique numeric identifier of the meter integer (int32) Required
versionId Unique numeric identifier of the calculated bill distribution version integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

CalculatedBillCostResponse
Property Description Type
calendarizedCostCalculation CalendarizedCalculationResponse
CalendarizedCalculationResponse properties
Property Description Type
calendarizedSum Addition calculation involving meters MeterChild[]
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode Short code for the meter type (e.g., “ELEC”, “GAS”) string
meterTypeId Unique numeric identifier of the meter type integer (int32)
meterTypeInfo Descriptive name of the meter type string
serialNumber The meter’s current serial number string
copyCostFromMeter CopyFromMeterResponse
CopyFromMeterResponse properties
Property Description Type
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode Short code for the meter type (e.g., “ELEC”, “GAS”) string
meterTypeId Unique numeric identifier of the meter type integer (int32)
meterTypeInfo Descriptive name of the meter type string
serialNumber The meter’s current serial number string
percentage Percentage of use or cost to copy number (double)
costCalculation CalculationResponse
CalculationResponse properties
Property Description Type
subtract SubtractResponse
SubtractResponse properties
Property Description Type
subtractMeterGroups Distinct meters from these meter groups will have their use or cost subtracted together during the bill calculation MeterGroupChild[]
MeterGroupChild properties
Property Description Type
autoGroup Indicates if this meter group is an autogroup boolean
meterGroupCode The meter group code string
meterGroupId The meter group identifier integer (int32)
meterGroupInfo The meter group info string
userDefinedAutoGroup Indicates if this meter group is an user defined auto group boolean
subtractMeters Meters in this list will have their use or cost subtracted during bill calculation MeterChild[]
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode Short code for the meter type (e.g., “ELEC”, “GAS”) string
meterTypeId Unique numeric identifier of the meter type integer (int32)
meterTypeInfo Descriptive name of the meter type string
serialNumber The meter’s current serial number string
sum SumResponse
SumResponse properties
Property Description Type
sumMeterGroups Distinct meters from these meter groups will have their use or cost added together during the bill calculation MeterGroupChild[]
MeterGroupChild properties
Property Description Type
autoGroup Indicates if this meter group is an autogroup boolean
meterGroupCode The meter group code string
meterGroupId The meter group identifier integer (int32)
meterGroupInfo The meter group info string
userDefinedAutoGroup Indicates if this meter group is an user defined auto group boolean
sumMeters Meters in this list will have their use or cost added together during the bill calculation MeterChild[]
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode Short code for the meter type (e.g., “ELEC”, “GAS”) string
meterTypeId Unique numeric identifier of the meter type integer (int32)
meterTypeInfo Descriptive name of the meter type string
serialNumber The meter’s current serial number string
fixedAmount Use a fixed amount for bill cost number (double)
fixedUnitCost FixedAmountResponse
FixedAmountResponse properties
Property Description Type
amount Fixed amount number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
rateSchedule RateChildResponse
RateChildResponse properties
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
name string
rateId integer (int32)
unitCostFromMeter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode Short code for the meter type (e.g., “ELEC”, “GAS”) string
meterTypeId Unique numeric identifier of the meter type integer (int32)
meterTypeInfo Descriptive name of the meter type string
serialNumber The meter’s current serial number string
Example Response application/json
{  "calendarizedCostCalculation": {    "calendarizedSum": [
      {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    }
    ]
  },  "copyCostFromMeter": {    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "percentage": 1.0
  },  "costCalculation": {    "subtract": {      "subtractMeterGroups": [],      "subtractMeters": []
    },    "sum": {      "sumMeterGroups": [],      "sumMeters": []
    }
  },  "fixedAmount": 1.0,  "fixedUnitCost": {    "amount": 1.0,    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  },  "rateSchedule": {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "name": "string",    "rateId": 1
  },  "unitCostFromMeter": {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "isCalculatedMeter": false,    "isEsaCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "serialNumber": "string"
  }
}